"""Request Extensions to give requests more capabilities"""

from pyrestsdk.request.supports_types import SupportsQueryOptions
from pyservicenow.request.request_extensions._supports_sysparam_limit import (
    SupportsSysparamLimit,
)
from pyservicenow.request.request_extensions._supports_sysparam_offset import (
    SupportsSysparamOffset,
)
from pyservicenow.request.request_extensions._supports_sysparam_query import (
    SupportsSysparamQuery,
)
from pyservicenow.request.request_extensions._supports_exclude_reference_link import (
    SupportsExcludeReferenceLink,
)
from pyservicenow.request.request_extensions._supports_display_value import (
    SupportsDisplayValue,
)
from pyservicenow.request.request_extensions._supports_sysparam_fields import (
    SupportsSysparamFields,
)
from pyservicenow.request.request_extensions._supports_no_count import SupportsNoCount
from pyservicenow.request.request_extensions._supports_sysparam_category import (
    SupportsSysparamCategory,
)
from pyservicenow.request.request_extensions._supports_no_domain import SupportsNoDomain
from pyservicenow.request.request_extensions._supports_suppress_pagination_header import (
    SupportsSuppressPaginationHeader,
)
from pyservicenow.request.request_extensions._supports_sysparam_view import (
    SupportsSysparamView,
)

__all__ = [
    "SupportsQueryOptions",
    "SupportsSysparamLimit",
    "SupportsSysparamOffset",
    "SupportsSysparamQuery",
    "SupportsExcludeReferenceLink",
    "SupportsDisplayValue",
    "SupportsSysparamFields",
    "SupportsNoCount",
    "SupportsSysparamCategory",
    "SupportsNoDomain",
    "SupportsSuppressPaginationHeader",
    "SupportsSysparamView",
]
